BSAdv runs on Joomla 2.x and 3.x with different versions of BSAdv.

  •  BSAdv release 1.2.6 and lower are designed to work with Joomla 2.x (and lower).  These versions of BSAdv were developed and tested with Joomla releases 1.6 through 2.7.  BSAdv release 1.2.6 will be the last release to support Joomla 2.x, unless bug fixes are needed.  If you are running Joomla 2.x, you should install BSAdv 1.2.6.
  • BSAdv release 2.0 and higher are designed to work with Joomla 3.x and higher.  If you are running Joomla 3.x, you should install BSAdv 2.0 or higher.

Upgrading Joomla from 2.x to 3.x should be done with standard Joomla upgrade methods.  The sequence for current BSAdv users is:

  1. As normal, you should back up your Joomla installation, including the BSAdv component.  The normal update process does not require the backup, but it is always a good thing to do.
  2. Upgrade your Joomla installation to 3.x.  Joomla has tools that usually make this easy. Your previous BSAdv component will still be installed, but will not operate correctly with Joomla 3.x.
  3. Upgrade BSAdv to 2.x.  The normal component update methods in the Joomla back end should make this an easy task. BSAdv release 2.x will operate correctly with Joomla 3.x. Your original BSAdv database (including all unit data) will continue to be used with the new versions of Joomla and BSAdv.

The Joomla database for the BSAdv 2.0 release is identical to the database for previous releases.  It is possible to extract the BSAdv database from one Joomla version and install it in another Joomla version.  The user must be familiar with database installation tools, but the BSAdv database can be moved from a Joomla 3.x system to a Joomla 2 .x system or from a 2.x system to a 3.x system.